This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1472355 - [RFE] API for retrieving available clean steps for a node
[RFE] API for retrieving available clean steps for a node
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
low Severity low
: Upstream M2
: ---
Assigned To: Dmitry Tantsur
mlammon
http://specs.openstack.org/openstack/...
: FutureFeature, Triaged
Depends On:
Blocks: 1473267
  Show dependency treegraph
 
Reported: 2017-07-18 10:27 EDT by Dmitry Tantsur
Modified: 2017-10-18 13:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 278566 None None None 2017-07-18 10:28 EDT

  None (edit)
Description Dmitry Tantsur 2017-07-18 10:27:28 EDT
Currently there is no way to know which clean steps can be executed on a given node. This information is not easy for a user to collect, as it depends on both the driver and the ramdisk. Thus, using manual cleaning is hard.

Adding an API to retrieve clean steps from a node would improve the user experience for manual cleaning a lot. It will also help users to better understand automated cleaning.
Comment 1 Dmitry Tantsur 2017-08-09 09:10:38 EDT
Note: we decided to discuss this at the PTG, as there are some doubts about the current design.
Comment 3 Dmitry Tantsur 2017-10-02 07:06:01 EDT
Pushing to M2, as it has a spec up, and the design was changed on the PTG.

Note You need to log in before you can comment on or make changes to this bug.